#查询运营商
#请求接口路径
[POST] /api/v2/bill-payment/biller/query#参数列表
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| sceneCode | String | - | 是 | 业务场景码【详见 场景码】 |
#返回值
| 名称 | 类型 | 长度 | 必填 | 描述 |
|---|---|---|---|---|
| billerId | String | 32 | 是 | 运营商 ID |
| billerName | String | 32 | 是 | 运营商名称 |
| billerIcon | String | 200 | 是 | 运营商图标 |
| minAmount | Long | - | 否 | 运营商充值金额下限 |
| maxAmount | Long | - | 否 | 运营商充值金额上限 |
| status | Integer | - | 否 | 状态 0 1 |
#Postman 请求示例
#request
curl 请求
curl --location 'https://open-gw-sandbox.palmpay-inc.com/api/v2/bill-payment/biller/query' \
--header 'Accept: application/json, text/plain, */*' \
--header 'CountryCode: NG' \
--header 'Authorization: Bearer 10241024' \
--header 'Signature: D11A3E8CB478C0B0F40276DDA5AFD898' \
--header 'Content-Type: application/json' \
--data '{"requestTime":1713924173005,"nonceStr":"iWiRXn6ecx3ERxieekjTeBmXsRRE6D5E","version":"V2","sceneCode":"airtime"}'#response
{
"respCode": "00000000",
"respMsg": "success",
"data": [
{
"billerId": "MTN",
"billerName": "MTN",
"billerIcon": "https:/xxx/MTN.png",
"minAmount": 100,
"maxAmount": 100000,
"status": 1
}
],
"status": true
}#公共错误码
#业务错误码
| 错误码 | 错误描述 | 解决方案 |
|---|---|---|
| SBP.INVALID_PARAMETER | 参数无效 | 检查请求参数,修改后重新发起请求 |
| SBP.INVALID_SCENE_CODE | 场景码无效 | 检查场景码,修改后重新发起请求 |